<?php
    session_start();
	if ( empty($_SESSION['login']) ) {
        header( 'Location: login.php' );
        die;
	}

    include 'include/database.php';

    $connection = connect($database);

    $canAdmin = canAdministrate($connection, $_SESSION['login']);
    
    if ($canAdmin) {
        $room_id = getRoomId($connection, $_GET['campus'], $_GET['building'], $_GET['room']);
        $executor = getRoomExecutor($connection, $room_id);
        echo $executor['arguments'];
    }
?>